> For the complete documentation index, see [llms.txt](https://api-comercio.gitbook.io/api-comercios/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-comercio.gitbook.io/api-comercios/reference/api-reference/movimientos.md).

# Movimientos

## Consultar movimientos

<mark style="color:green;">`POST`</mark>  /transactions/page/0

Consultá la lista de tus movimientos para una fecha determinada.

#### Headers

| Key          | Value            |
| ------------ | ---------------- |
| Content-Type | application/json |
| apikey       | su\_api\_key     |
| X-TRACE-ID   | uuidv4()         |
| X-VERSION    | 1                |

#### Request Body

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><p></p><pre class="language-postman_json" data-full-width="true"><code class="lang-postman_json">startDate
</code></pre></td><td>date</td><td>Fecha desde</td></tr><tr><td><p></p><pre class="language-postman_json"><code class="lang-postman_json">endDate
</code></pre></td><td>date</td><td>Fecha hasta</td></tr></tbody></table>

**Response**&#x20;

{% tabs %}
{% tab title="200 OK" %}

```javascript
{
    "page": "number",
    "existMore": "boolean",
    "listTrx": [
        {
            "_id": "number",
            "amount": "number",
            "dateTime": "string",
            "firstName": "string",
            "lastName": "string",
            "userId": "number",
            "taxes": [],
            "commission": {
                "rate": "number",
                "amount": "number"
            },
            "payment": {
                "paymentId": "number",
                "hash": "string",
                "method": "string",
                "totalAmount": "number",
                "hasRefund": "boolean",
                "canceled": "boolean",
                "cardNumber": "string",
                "cardHolderName": "string",
                "first5Numbers": "string",
                "last4Numbers": "string",
                "issuerName": "string",
                "issuerKey": "string",
                "paymentMethodId": "number",
                "name": "string",
                "es": "string",
                "en": "string",
                "paymentMethodType": "string",
                "adjustTipAvailable": "boolean",
                "issuerImageUrl": "string"
            },
            "authorizationCode": "string",
            "authenticationType": "string",
            "operationCode": "string",
            "operation": "string",
            "operationId": "number",
            "saleId": "number",
            "cardName": "string",
            "abr": "string",
            "device": "string",
            "buyer": {
                "id": "number",
                "name": "string",
                "buyerId": "number",
                "firstName": "string",
                "lastName": "string",
                "email": "string",
                "address": "string",
                "addressLine2": "string",
                "province": "string",
                "zipCode": "string",
                "birthdate": "string",
                "phone": "string",
                "city": "string",
                "document": "string",
                "documentType": "string",
                "countryId": "string",
                "occupation": "string",
                "country": "string"
            },
            "items": [
                {
                    "productId": "number",
                    "isCustomAmount": "boolean",
                    "quantity": "number",
                    "productPrice": "number",
                    "totalAmount": "number",
                    "productName": "string",
                    "productBackgroundColor": "string",
                    "productImageUrl": "string"
                }
            ],
            "canAnnulate": "boolean",
            "canAnnulateWithoutCard": "boolean",
            "canRefund": "boolean",
            "canRefundWithoutCard": "boolean",
            "canceled": "boolean"
        }
    ]
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

```javascript
// Si apikey no es enviado en el Headers: 
{"message":"Missing API key found in request"}

// Si apikey es enviada de forma errónea:
{"message":"Invalid API key in request"}
```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```javascript
// Error de parámetros

{
   "status": 500,
   "message": "status 500",
   "timestamp": "2024-05-28T12:30:04Z"
}
```

{% endtab %}
{% endtabs %}

Puede acceder a la API Sipago mediante curl o cualquier cliente HTTP. Aquí algunos ejemplos de solicitud:&#x20;

{% tabs %}
{% tab title="curl" %}

```
curl --location 'http://api-gwt.sipago.online/services/transactions/page/0' \
--header 'apikey: su_api_key' \
--header 'X-TRACE-ID: uuidv4()' \
--header 'X-VERSION: 1' \
--header 'Content-Type: application/json' \
--data '{"startDate":"2024-05-24","endDate":"2024-05-24"}'
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
const axios = require('axios');
let data = JSON.stringify({
  "startDate": "2024-05-24",
  "endDate": "2024-05-24"
});

let config = {
  method: 'post',
  maxBodyLength: Infinity,
  url: 'http://api-gwt.sipago.online/services/transactions/page/0',
  headers: { 
    'apikey': 'su_api_key', 
    'X-TRACE-ID': '3cc1aabd-eb40-48bc-bb84-d1c34f1e2934', 
    'X-VERSION': '100', 
    'Content-Type': 'application/json'
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

{% endtab %}

{% tab title="Python - Requests" %}

```python
import requests
import json

url = "http://api-gwt.sipago.online/services/transactions/page/0"

payload = json.dumps({
  "startDate": "2024-05-24",
  "endDate": "2024-05-24"
})
headers = {
  'apikey': 'su_api_key',
  'X-TRACE-ID': '3cc1aabd-eb40-48bc-bb84-d1c34f1e2934',
  'X-VERSION': '100',
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

{% endtab %}
{% endtabs %}

## Consultar movimientos por número de referencia

<mark style="color:green;">`GET`</mark>  /transactions/referenceNumber/:referencenumber

Consultá el movimiento filtrando por número de referencia.&#x20;

#### Params

| Name            | Type   |
| --------------- | ------ |
| referencenumber | string |

#### Headers

| Key          | Value            |
| ------------ | ---------------- |
| Content-Type | application/json |
| apikey       | su\_api\_key     |
| X-TRACE-ID   | uuidv4()         |
| X-VERSION    | 1                |

**Response**&#x20;

{% tabs %}
{% tab title="200 OK" %}

<pre class="language-javascript"><code class="lang-javascript"><strong>[
</strong>   {
            "_id": "number",
            "amount": "number",
            "dateTime": "string",
            "firstName": "string",
            "lastName": "string",
            "userId": "number",
            "taxes": [],
            "commission": {
                "rate": "number",
                "amount": "number"
            },
            "payment": {
                "paymentId": "number",
                "hash": "string",
                "method": "string",
                "totalAmount": "number",
                "hasRefund": "boolean",
                "canceled": "boolean",
                "cardNumber": "string",
                "cardHolderName": "string",
                "first5Numbers": "string",
                "last4Numbers": "string",
                "issuerName": "string",
                "issuerKey": "string",
                "paymentMethodId": "number",
                "name": "string",
                "es": "string",
                "en": "string",
                "paymentMethodType": "string",
                "adjustTipAvailable": "boolean",
                "issuerImageUrl": "string"
            },
            "authorizationCode": "string",
            "authenticationType": "string",
            "operationCode": "string",
            "operation": "string",
            "operationId": "number",
            "saleId": "number",
            "cardName": "string",
            "abr": "string",
            "device": "string",
            "buyer": {
                "id": "number",
                "name": "string",
                "buyerId": "number",
                "firstName": "string",
                "lastName": "string",
                "email": "string",
                "address": "string",
                "addressLine2": "string",
                "province": "string",
                "zipCode": "string",
                "birthdate": "string",
                "phone": "string",
                "city": "string",
                "document": "string",
                "documentType": "string",
                "countryId": "string",
                "occupation": "string",
                "country": "string"
            },
            "items": [
                {
                    "productId": "number",
                    "isCustomAmount": "boolean",
                    "quantity": "number",
                    "productPrice": "number",
                    "totalAmount": "number",
                    "productName": "string",
                    "productBackgroundColor": "string",
                    "productImageUrl": "string"
                }
            ],
            "canAnnulate": "boolean",
            "canAnnulateWithoutCard": "boolean",
            "canRefund": "boolean",
            "canRefundWithoutCard": "boolean",
            "canceled": "boolean"
        }
]

</code></pre>

{% endtab %}

{% tab title="401 Unauthorized" %}

```javascript
// Si apikey no es enviado en el Headers: 
{"message":"Missing API key found in request"}

// Si apikey es enviada de forma errónea:
{"message":"Invalid API key in request"}
```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```javascript
// Error de parámetros

{
   "status": 500,
   "message": "status 500",
   "timestamp": "2024-05-28T12:30:04Z"
}
```

{% endtab %}
{% endtabs %}

Puede acceder a la API Sipago mediante curl o cualquier cliente HTTP. Aquí algunos ejemplos de solicitud:&#x20;

{% tabs %}
{% tab title="curl" %}

```
curl --location 'http://api-gwt.sipago.online/services/transactions/referenceNumber/55268b71-e22f-4617-b5c0-8c34440df9d7
--header 'apikey: su_api_key \
--header 'X-TRACE-ID: uuidv4()' \
--header 'X-VERSION: 1'
```

{% endtab %}
{% endtabs %}

## Consultar Orden

<mark style="color:green;">`GET`</mark>  /checkout/getLink/:uuid

Consultá el movimiento filtrando por identificador uuid de la orden.

#### Params

| Name | Type   |
| ---- | ------ |
| uuid | string |

#### Headers

| Key          | Value            |
| ------------ | ---------------- |
| Content-Type | application/json |
| apikey       | su\_api\_key     |
| X-TRACE-ID   | uuidv4()         |
| X-VERSION    | 1                |

**Response**&#x20;

{% tabs %}
{% tab title="200 OK" %}

<pre class="language-javascript"><code class="lang-javascript"><strong>[
</strong>  {
    "data": {
        "id": "string",
        "type": "string",
        "attributes": {
            "uuid": "string",
            "accountId": "number",
            "subsidiaryId": "number",
            "source": "string",
            "appId": "string",
            "paymentLimits": "number",
            "orderNumber": "string",
            "price": {
                "currency": "string",
                "amount": "number"
            },
            "shipping": null,
            "tip": null,
            "items": [
                {
                    "name": "string",
                    "quantity": "number",
                    "unitPrice": {
                        "currency": "string",
                        "amount": "number"
                    },
                    "itemId": null
                }
            ],
            "status": "string",
            "taxes": [],
            "externalData": {
                "user_uuid": "string",
                "checkout_url": "string",
                "referer": "string",
                "errorMessage": null
            },
            "links": {
                "checkout": "string",
                "redirect_url": {
                    "success": null,
                    "failed": null
                }
            },
            "hasPendingPayment": "boolean",
            "payment": {
                "id": "string",
                "authorization_code": "string",
                "reference_number": "string",
                "status": "string",
                "isRefunded": "boolean"
            },
            "payments": [
                {
                    "id": "string",
                    "authorization_code": "string",
                    "reference_number": "string",
                    "status": "string",
                    "isRefunded": "boolean"
                }
            ],
            "store": null,
            "billing": null
        },
        "links": [
            {
                "checkout": "string",
                "redirect_url": {
                    "success": null,
                    "failed": null
                }
            }
        ]
    }
}

]

</code></pre>

{% endtab %}

{% tab title="401 Unauthorized" %}

```javascript
// Si apikey no es enviado en el Headers: 
{"message":"Missing API key found in request"}

// Si apikey es enviada de forma errónea:
{"message":"Invalid API key in request"}
```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```javascript
// Error de parámetros

{
   "status": 500,
   "message": "status 500",
   "timestamp": "2024-05-28T12:30:04Z"
}
```

{% endtab %}
{% endtabs %}

Puede acceder a la API Sipago mediante curl o cualquier cliente HTTP. Aquí algunos ejemplos de solicitud:&#x20;

{% tabs %}
{% tab title="curl" %}

```
curl --location 'http://api-gwt.sipago.online/services/checkout/getLink/99868576-6b2d-4e1b-8aae-784317301e46' \
--header 'apikey: su_api_key' \
--header 'X-TRACE-ID: uuidv4()' \
--header 'X-VERSION: 1'

```

{% endtab %}

{% tab title="nodejs" %}
const axios = require('axios');

let config = {

&#x20; method: 'get',

&#x20; maxBodyLength: Infinity,

&#x20; url: '<http://api-gwt.sipago.online/services/checkout/getLink/99868576-6b2d-4e1b-8aae-784317301e46>',

&#x20; headers: {&#x20;

&#x20;   'apikey': 'su\_api\_key',&#x20;

&#x20;   'X-TRACE-ID': 'uuidv4()',&#x20;

&#x20;   'X-VERSION': '1'

&#x20; }

};

axios.request(config)

.then((response) => {

&#x20; console.log(JSON.stringify(response.data));

})

.catch((error) => {

&#x20; console.log(error);

});

<br>
{% endtab %}

{% tab title="python" %}
import requests

url = "<http://api-gwt.sipago.online/services/checkout/getLink/99868576-6b2d-4e1b-8aae-784317301e46>"

payload = {}

headers = {

&#x20; 'apikey': 'su\_api\_key',

&#x20; 'X-TRACE-ID': 'uuidv4()',

&#x20; 'X-VERSION': '1'

}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

<br>
{% endtab %}
{% endtabs %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-comercio.gitbook.io/api-comercios/reference/api-reference/movimientos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
